WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

EasyAPNs

Adaptation of the Easy APNs open source project for WordPress. EasyAPNs is a tool to simplify interaction with the Apple Push Notification Service.

See Ludovic Lecerf's Blog for more details (in French).

This section describes how to install EasyAPNs and get it working.

  1. Unzip the archive and upload the easyapns folder to the /wp-content/plugins/ directory
  2. Activate the plugin through the 'Plugins' menu in WordPress
  3. Go to EasyAPNs configuration panel
  4. Configure your Application Name, and your Certificates paths. To generate these Certificates, go to BoxedIce Blog to know how to do it. You must put a development and a production certificate. If you don't want production certificate for the moment, just put the development certificate path in the configuration.
  5. Don't forget to activate Push Notifications in the right box of the post Editor!
  6. Publish the post, enjoy!

How to enable the Development Certificate ?

Just put 'sandbox' in the wp_apns_devices . development column, on the device you want.

How to register a device on the Application ?

Your iPhone App Delegate.m need to register for remote notifications with an url. This url must have the GET parameter (easyapns=register), it will end up looking something like:

http://www.yourWordpressSite.com/index.php?easyapns=register&task=register&appname=YOUR_APPNAME&appversion=1.0&deviceuid=e48884a7a1fef6977cee39a3f75849be250f20e9&devicetoken=9c7508139bd468e8064fa01eab50875533427d84ec5055ce2c478de3fdgafd15&devicemodel=iPhone&devicename=tester&deviceversion=1.5&pushbadge=enabled&pushalert=enabled&pushsound=enabled

You should look at the code in the delegate/Delegate.m file for XCode and delegate/AppCelerator.js for AppCelerator.

If you have any questions or any problems, please let us know

Requires: 2.1.0 or higher
Compatible up to: 3.1.4
Last Updated: 2011-4-18
Downloads: 1,617

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1 0,1,0
0,1,0
0,1,0